You are not logged in.

#1 2013-01-15 03:00:20

rsplenum
Member
Registered: 2013-01-10
Posts: 25

[SOLVED] policykit error while upgrading system with kalu in openbox

Guys I am experiencing two weird problems with login and upgrade on my Arch Linux system,

1. I have openbox and xfce4 installed with slim login manager and I am using openbox standalone WM, but when I try to log in to xfce4, it logs me in to openbox and then I as i exit openbox i fall back to xfce4, its like slim is logging me in to both xfce4 and openbox. My ~/.xinitrc file is:

DEFAULT_SESSION=ck-launch-session openbox-session

case $1 in
openbox)
       exec ck-launch-session openbox-session
       ;;
xfce4)
       exec startxfce4
       ;;
*)
       exec $DEFAULT_SESSION
       ;;
esac

Please anyone tell me what's wrong in it and what's causing this login problem.

2. I have kalu installed and it works perfectly on xfce4 with system updrade, AUR packages upgrades working and when I perform system upgrade it asks me for password and then upgrades the system, BUT in openbox when I try to upgrade it gives me error:

Parsing /etc/pacman.conf ... ok
Creating kalu_updater... ok
Initializing kalu_updater... failed
Error: Failed to initialize: Authorization from PolicyKit failed

I have installed gvfs, consolekit and even reinstalled openbox but its not working in openbox, so anyone knows what's the problem.

I'd really appreciate if someone please help me troubleshoot these issues.

Last edited by rsplenum (2013-01-19 16:00:33)

Offline

#2 2013-01-15 05:03:26

anonymous_user
Member
Registered: 2009-08-28
Posts: 3,058

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

ConsoleKit is obsolete now. It was replaced by systemd's login so if you haven't switched to systemd yet you should.

https://www.archlinux.org/news/consolek … by-logind/

Edit: also is your kalu package up-to-date (currently 1.3.0)?

Last edited by anonymous_user (2013-01-15 05:06:47)

Offline

#3 2013-01-15 12:18:49

jjacky
Member
Registered: 2011-11-09
Posts: 321
Website

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

re: kalu it sounds like you might not have a polkit agent (e.g. polkit-gnome) running (to ask for your password) so the auth process fails. Assuming it is installed (and used on xfce4) it might just be that you need to e.g. add it to your autostart when using openbox...

Offline

#4 2013-01-15 22:05:27

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

jjacky wrote:

re: kalu it sounds like you might not have a polkit agent (e.g. polkit-gnome) running (to ask for your password) so the auth process fails. Assuming it is installed (and used on xfce4) it might just be that you need to e.g. add it to your autostart when using openbox...

I have added polkit-gnome and polkit to openbox autostart but still the same problem persists and kalu is giving the same error, also the other day I couldn't login to either xfce or openbox and i had to edit the ~/.xinitrc file to add dbus-launch before openbox-session to log in to openbox but now when I exit openbox ir takes me to xfce4 desktop instead of slim login screen. I just don't understand what to do, any suggestion is welcome.

Offline

#5 2013-01-15 22:07:33

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

anonymous_user wrote:

ConsoleKit is obsolete now. It was replaced by systemd's login so if you haven't switched to systemd yet you should.

https://www.archlinux.org/news/consolek … by-logind/

Edit: also is your kalu package up-to-date (currently 1.3.0)?

got rid of consolekit and yes kalu is 1.3.0 still it can't update the system and keeps giving policykit error,

Offline

#6 2013-01-15 22:15:43

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,686

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

rsplenum, you didn't answer the big question, though; have you upgraded to systemd yet?

Offline

#7 2013-01-15 22:16:44

anonymous_user
Member
Registered: 2009-08-28
Posts: 3,058

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

Are you booting with systemd? Run loginctl show-session $XDG_SESSION_ID and make sure you have Active=yes.

Offline

#8 2013-01-15 22:33:50

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

Scimmia wrote:

rsplenum, you didn't answer the big question, though; have you upgraded to systemd yet?

I am running  2013.01.04 release with kernel: 3.6.11 so I guess systemd is included in it.

Offline

#9 2013-01-15 22:45:46

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 4,686

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

OK, there's some basic things about Arch that you seem to be completely missing. First, the install media or the kernel version don't matter. You can't be running 2013.01.04 release, because there is no release. It doesn't matter if you used the install media from a few days ago or from last August, you would end up with the same system installed as it gets that info from the repos.

It implies that you installed the system fresh in the last 11 days, in which case systemd would have been the default init system. On the other hand, you had consolekit, which means you didn't just install.

What is the output of cat /proc/1/comm

Offline

#10 2013-01-15 22:46:42

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

anonymous_user wrote:

Are you booting with systemd? Run loginctl show-session $XDG_SESSION_ID and make sure you have Active=yes.

Here is the result of that command:

[rahul@archlinux ~]$ loginctl show-session $XDG_SESSION_ID
Id=1
Timestamp=Sun 2006-01-01 09:03:16 IST
TimestampMonotonic=19316870
DefaultControlGroup=name=systemd:/user/rahul/1
VTNr=7
Display=:0.0
Remote=no
RemoteUser=root
Service=slim
Leader=211
Audit=1
Type=x11
Class=user
Active=yes
State=active
KillProcesses=no
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Name=rahul

Don't bother about the wrong rtc time my cmos battery is dead, but ntp is enabled and synchronized so with in 10 sec after boot time gets corrected. Anyway, active=yes, so now what should I do ? On second thought Is there anyway i can run "hwclock -w" command automatically after boot or Is ntpd doing the same job ?

Last edited by rsplenum (2013-01-15 23:00:38)

Offline

#11 2013-01-15 22:51:24

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

Scimmia wrote:

OK, there's some basic things about Arch that you seem to be completely missing. First, the install media or the kernel version don't matter. You can't be running 2013.01.04 release, because there is no release. It doesn't matter if you used the install media from a few days ago or from last August, you would end up with the same system installed as it gets that info from the repos.

It implies that you installed the system fresh in the last 11 days, in which case systemd would have been the default init system. On the other hand, you had consolekit, which means you didn't just install.

What is the output of cat /proc/1/comm

[rahul@archlinux ~]$ cat /proc/1/comm
systemd

okay so i have systemd. No policykit error comes in xfce desktop and kalu asks for password before upgrading its only in th openbox session that this problem comes and because I want to use openbox so i have to correct it and also when i exit openbox it takes me to xfce4 desktop instead of slim login page.

Last edited by rsplenum (2013-01-15 22:58:19)

Offline

#12 2013-01-19 15:56:11

rsplenum
Member
Registered: 2013-01-10
Posts: 25

Re: [SOLVED] policykit error while upgrading system with kalu in openbox

Problem SOLVED, instead of using this setting in .xinitrc for loading different windows managers from login page,

DEFAULT_SESSION=ck-launch-session openbox-session
case $1 in
openbox)
       exec ck-launch-session openbox-session
       ;;
xfce4)
       exec startxfce4
       ;;
*)
       exec $DEFAULT_SESSION
       ;;
esac

NOW I'm USING THIS,

#!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)

if [ -d /etc/X11/xinit/xinitrc.d ]; then
  for f in /etc/X11/xinit/xinitrc.d/*; do
    [ -x "$f" ] && . "$f"
  done
  unset f
fi

if [[ $1 == "openbox" ]]
then
  exec openbox-session
elif [[ $1 == "awesome" ]]
then
  exec awesome
elif [[ $1 == "xfce4" ]]
then
  exec fluxbox
elif [[ $1 == "fluxbox" ]]
then
  exec fluxbox
elif [[ $1 == "dwm" ]]
then
  exec dwm
else
  echo "Choose a window manager"
fi

ALONG WITH THE USUAL ENTRIES IN THE SLIM>CONF SESSIONS LINE. And the problem with kalu giving authentication failure error was solved by putting "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1" in the autostart config file of openbox.

Last edited by rsplenum (2013-01-19 16:04:33)

Offline

Board footer

Powered by FluxBB